%global         pypi_name    pymc

Name:           python-pymc
Version:        2.3.6
Release:        %mkrel 2
Group:          Development/Python
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL
Url:            https://github.com/pymc-devs/pymc
Source0:        https://pypi.python.org/packages/source/p/pymc/pymc-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  locales-en

%description
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.




%package -n python3-pymc
Summary:        Python3 implementation of PyMC
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel
BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  locales-en


%description -n python3-pymc
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}



%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc 
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info



%files -n python3-pymc
%doc 
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2.3.6-2pclos2017
- rebuild against updates

* Mon Sep 04 2017 bb2 <bb2> - 2.3.6-1pclos2017
- new version 
- new gcc
